Bug 1010702 - (ghc-union-find) Review Request: ghc-union-find - Efficient union and equivalence testing of sets
Review Request: ghc-union-find - Efficient union and equivalence testing of sets
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: Elm
  Show dependency treegraph
 
Reported: 2013-09-22 12:26 EDT by Ricky Elrod
Modified: 2013-11-10 02:42 EST (History)
2 users (show)

See Also:
Fixed In Version: ghc-union-find-0.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-22 00:59:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2013-09-22 12:26:49 EDT
Spec URL: http://fedorapeople.org/~codeblock/packages/ghc-union-find/ghc-union-find.spec
SRPM URL: http://fedorapeople.org/~codeblock/packages/ghc-union-find/ghc-union-find-0.2-1.fc19.src.rpm
Description:
The Union\/Find algorithm implements these operations in (effectively)
constant-time:

1. Check whether two elements are in the same equivalence class.

2. Create a union of two equivalence classes.

3. Look up the descriptor of the equivalence class.

Fedora Account System Username: codeblock
Comment 1 Jens Petersen 2013-09-29 08:12:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues:
=======
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: ghc-union-find-devel. Does not provide -static:
  ghc-union-find-devel.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

I have released cabal-rpm-0.8.5 which now adds a static Provides
to the devel package.

One easy way to get it is to run cblrpm-diff (0.8.5) on union-find-0.2-1
and paste the new Provides in the spec file.

(I plan to add it to all current packages in rawhide later
when building them for ghc-7.8.)

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/ghc-7.6.3/package.conf.d,
     /usr/lib64/ghc-7.6.3

(owned by ghc-compiler and ghc-base respectively)

[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/ghc-7.6.3,
     /usr/lib64/ghc-7.6.3/package.conf.d

See above - fedora-review bug?

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 245760 bytes in 27 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).

The new missing static provides mentioned earlier.

[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-union-find-0.2-1.fc21.x86_64.rpm
          ghc-union-find-devel-0.2-1.fc21.x86_64.rpm
          ghc-union-find-0.2-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-union-find ghc-union-find-devel
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'


Requires
--------
ghc-union-find (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-union-find-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(union-find-0.2-4fd3f5c6eac42ea765402009d0d28490)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc-devel(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc-union-find(x86-64)

Provides
--------
ghc-union-find:
    ghc(union-find-0.2-4fd3f5c6eac42ea765402009d0d28490)
    ghc-union-find
    ghc-union-find(x86-64)
    libHSunion-find-0.2-ghc7.6.3.so()(64bit)

ghc-union-find-devel:
    ghc-devel(union-find-0.2-4fd3f5c6eac42ea765402009d0d28490)
    ghc-union-find-devel
    ghc-union-find-devel(x86-64)

Unversioned so-files
--------------------
ghc-union-find: /usr/lib64/ghc-7.6.3/union-find-0.2/libHSunion-find-0.2-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/union-find/0.2/union-find-0.2.tar.gz :
  CHECKSUM(SHA256) this package     : e6c2682bb8c06e8c43e360f45658d0eea17209cce84953e2a7d2f0240591f0ec
  CHECKSUM(SHA256) upstream package : e6c2682bb8c06e8c43e360f45658d0eea17209cce84953e2a7d2f0240591f0ec


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1010702
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


Package is APPROVED

but please add the mentioned static provides to devel
when importing the package to git.
Comment 2 Ricky Elrod 2013-10-02 23:09:24 EDT
New Package SCM Request
=======================
Package Name: ghc-union-find
Short Description: Efficient union and equivalence testing of sets
Owners: codeblock petersen
Branches: f18 f19 f20 el6
InitialCC: haskell-sig
Comment 3 Gwyn Ciesla 2013-10-03 08:18:01 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-10-10 02:08:11 EDT
ghc-union-find-0.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-union-find-0.2-2.fc19
Comment 5 Fedora Update System 2013-10-10 02:08:22 EDT
ghc-union-find-0.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-union-find-0.2-2.fc20
Comment 6 Fedora Update System 2013-10-10 02:08:30 EDT
ghc-union-find-0.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-union-find-0.2-2.fc18
Comment 7 Fedora Update System 2013-10-10 22:31:04 EDT
ghc-union-find-0.2-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 8 Fedora Update System 2013-10-22 00:59:36 EDT
ghc-union-find-0.2-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 9 Fedora Update System 2013-10-22 01:02:41 EDT
ghc-union-find-0.2-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-11-10 02:42:57 EST
ghc-union-find-0.2-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.